### Class

# Shumate TileDownloader

#### Description [src]

    final class Shumate.TileDownloader : Shumate.DataSource
    {
      /* No available fields */
    }

A `ShumateDataSource` that asynchronously downloads tiles from an online service using a given template.

It contains an internal `ShumateFileCache` to cache the tiles on the system.

#### Ancestors

- ShumateDataSource
- GObject

#### Constructors

###### shumate_tile_downloader_new

Creates a new `ShumateTileDownloader` that fetches tiles from an API and caches them on disk.

#### Instance methods

##### Methods inherited from ShumateDataSource (7)

###### shumate_data_source_get_max_zoom_level

Gets the data source’s maximum zoom level.

since: 1.1

###### shumate_data_source_get_min_zoom_level

Gets the data source’s minimum zoom level.

since: 1.1

###### shumate_data_source_get_tile_data_async

Gets the data for the tile at the given coordinates.

###### shumate_data_source_get_tile_data_finish

Gets the final result of a request started with shumate_data_source_get_tile_data_async().

###### shumate_data_source_set_max_zoom_level

Sets the data source’s maximum zoom level.

since: 1.1

###### shumate_data_source_set_min_zoom_level

Sets the data source’s minimum zoom level.

since: 1.1

###### shumate_data_source_start_request

Begins a request for a tile.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Shumate.TileDownloader:url-template

A template for construting the URL to download a tile from.

##### Properties inherited from ShumateDataSource (2)

###### Shumate.DataSource:max-zoom-level

The maximum zoom level.

since: 1.1

###### Shumate.DataSource:min-zoom-level

The minimum zoom level.

since: 1.1

#### Signals

##### Signals inherited from ShumateDataSource (1)

###### ShumateDataSource::received-data

Emitted when data is received for any tile. This includes any intermediate steps, such as data from the file cache, as well as the final result.

deprecated: 1.1

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ShumateTileDownloaderClass {
      ShumateDataSourceClass parent_class;

    }

No description available.

###### Class members

`parent_class: ShumateDataSourceClass`

  No description available.